Problemas al instalar NVIDIA-Linux-x86-1.0-9755-pkg1.run

Imagen de pepecrk
0 puntos

Que tal ubuntureros de mundo??

Acabo de instalar la nueva version de ubuntu 4.07 y no consigo hacer que funcione correctamente la aceleracion grafica de mi nvidia Gforce 6200.

Me bajé el archivo  NVIDIA-Linux-x86-1.0-9755-pkg1.run de la pag. de nvidia y lo instale sin problemas, reinicié las X despues de la instalacion y funcionaba perfectamente, hasta que reinicie el PC, dese entonces da un error y no carga las X.  Lo que hago enconces es volver a ejecutar el instalador de nvidia, vuelvo a reiniciar las X y vuelve a funcionar. Esto me ocurre cada vez que reinicio o apago el pc.

Teneis idea de que puedo hacer para solucionarlo?? 

Imagen de pepecrk
+1
0
-1

Porfavor, alguna pista de que puede ser...??? esque no tengo ni idea de como solucionarlo.

Podria ser algun modulo de la nvidia que no lo carga al iniciar??

O al menos algun sitio donde  pueda mirar para ver que es lo que esta fallando.

Gracias a todos 

+1
0
-1
Imagen de pepecrk
+1
0
-1

Me he dado cuenta que la version que estaba intentando instalar de los drivers no era la correcta, pero esque al intentar instalar la buena me da un error, dice que no puede compilar el nuevo kernel. Aqui os dejo el log de nvidia. Aver si podeis decirme por me esta dando tantos problemas la aceleracion 3D. M

Muchas gracias

 vidia-installer log file '/var/log/nvidia-installer.log'
creation time: Tue Apr 24 01:37:31 2007

option status:
  license pre-accepted    : false
  update                  : false
  force update            : false
  expert                  : false
  uninstall               : false
  driver info             : false
  precompiled interfaces  : true
  no ncurses color        : false
  query latest version    : false
  OpenGL header files     : true
  no questions            : false
  silent                  : false
  no recursion            : false
  no backup               : false
  kernel module only      : false
  sanity                  : false
  add this kernel         : false
  no runlevel check       : false
  no network              : false
  no ABI note             : false
  no RPMs                 : false
  no kernel module        : false
  force SELinux           : default
  no X server check       : false
  force tls               : (not specified)
  X install prefix        : (not specified)
  X library install path  : (not specified)
  X module install path   : (not specified)
  OpenGL install prefix   : (not specified)
  OpenGL install libdir   : (not specified)
  utility install prefix  : (not specified)
  utility install libdir  : (not specified)
  doc install prefix      : (not specified)
  kernel name             : (not specified)
  kernel include path     : (not specified)
  kernel source path      : (not specified)
  kernel output path      : (not specified)
  kernel install path     : (not specified)
  proc mount point        : /proc
  ui                      : (not specified)
  tmpdir                  : /tmp
  ftp mirror              : ftp://download.nvidia.com
  RPM file list           : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> There appears to already be a driver installed on your system (version: 1.0-
   9755).  As part of installing this driver (version: 1.0-7184), the existing
   driver will be uninstalled.  Are you sure you want to continue? ('no' will a
   bort installation) (Answer: Yes)
-> No precompiled kernel interface was found to match your kernel; would you li
   ke the installer to attempt to download a kernel interface for your kernel f
   rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
   this means that the installer will need to compile a kernel interface for
   your kernel.
-> Performing CC sanity check with CC="cc".
-> Performing CC version check with CC="cc".
-> Kernel source path: '/lib/modules/2.6.20-15-generic/build'
-> Kernel output path: '/lib/modules/2.6.20-15-generic/build'
-> Performing rivafb check.
-> Performing nvidiafb check.
-> Cleaning kernel module build directory.
   executing: 'cd ./usr/src/nv; make clean'...
   rm -f -f nv.o nv-vm.o os-agp.o os-interface.o os-registry.o nv.o nv-vm.o os-
   agp.o os-interface.o os-registry.o nvidia.mod.o
   rm -f -f build-in.o nv-linux.o *.d .*.{cmd,flags}
   rm -f -f nvidia.{o,ko,mod.{o,c}} nv_compiler.h *~
   rm -f -rf .tmp_versions
-> Building kernel module:
   executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.6.20-15-gener
   ic/build SYSOUT=/lib/modules/2.6.20-15-generic/build'...
   
   NVIDIA: calling KBUILD...
   make CC=cc  KBUILD_VERBOSE=1 -C /lib/modules/2.6.20-15-generic/build SUBDIRS
   =/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv modules
   test -e include/linux/autoconf.h -a -e include/config/auto.conf || (        \
       echo;                                \
       echo "  ERROR: Kernel configuration is invalid.";        \
       echo "         include/linux/autoconf.h or include/config/auto.conf are mis
   sing.";    \
       echo "         Run 'make oldconfig && make prepare' on kernel src to fix it
   .";    \
       echo;                                \
       /bin/false)
   mkdir -p /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/.tmp_vers
   ions
   rm -f /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/.tmp_version
   s/*
   make -f scripts/Makefile.build obj=/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184
   -pkg1/usr/src/nv
   echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /tmp/selfgz6778/NVI
   DIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv_compiler.h
     cc -Wp,-MD,/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/.nv.o
   .d  -nostdinc -isystem /usr/lib/gcc/i486-linux-gnu/4.1.2/include -D__KERNEL_
   _ -Iinclude  -include include/linux/autoconf.h -Iubuntu/include  -Wall -Wund
   ef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -O2 -
   pipe -msoft-float -mregparm=3 -mpreferred-stack-boundary=2  -march=i586 -mtu
   ne=generic -ffreestanding -maccumulate-outgoing-args   -Iinclude/asm-i386/ma
   ch-default -fomit-frame-pointer -g  -fno-stack-protector -Wdeclaration-after
   -statement -Wno-pointer-sign -I/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg
   1/usr/src/nv -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscri
   pts -Wparentheses -Wpointer-arith  -Wno-multichar  -Werror -O -fno-common -M
   D   -Wsign-compare -Wno-cast-qual -Wno-error -D_LOOSE_KERNEL_NAMES -D__KERNE
   L__ -DMODULE  -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODU
   LE  -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=7184  -DNV_UNI
   X   -DNV_LINUX   -DNV_INT64_OK   -DNVCPU_X86      -UDEBUG -U_DEBUG -DNDEBUG
   -DNV_SIGNAL_STRUCT_RLIM -DNV_MULTIPLE_BRIDGE_AGPGART_PRESENT -DNV_PCI_GET_CL
   ASS_PRESENT -DN
   V_PM_MESSAGE_T_PRESENT -DNV_PCI_CHOOSE_STATE_PRESENT -DNV_VM_INSERT_PAGE_PRE
   SENT -DNV_REMAP_PFN_RANGE_PRESENT -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_VMAP_4_
   PRESENT  -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)"  -
   D"KBUILD_MODNAME=KBUILD_STR(nvidia)" -c -o /tmp/selfgz6778/NVIDIA-Linux-x86-
   1.0-7184-pkg1/usr/src/nv/.tmp_nv.o /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184
   -pkg1/usr/src/nv/nv.c
   En el fichero incluído de /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/us
   r/src/nv/nv.c:14:
   /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv-linux.h:17:26:
   error: linux/config.h: No existe el fichero ó directorio
   In file included from include/linux/list.h:8,
                    from include/linux/wait.h:22,
                    from include/asm/semaphore.h:41,
                    from include/linux/sched.h:59,
                    from include/linux/utsname.h:35,
                    from /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src
   /nv/nv-linux.h:19,
                    from /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src
   /nv/nv.c:14:
   include/linux/prefetch.h: En la función â??prefetch_rangeâ??:
   include/linux/prefetch.h:62: aviso: se usó un puntero de tipo â??void *â??
   en la aritmética
   /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv.c: En el nivel
   principal:
   /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv.c:93: aviso: â?
   ?kmem_cache_tâ?? es obsoleto
   /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv.c: En la funciÃ
   ³n â??nv_kern_openâ??:
   /tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv.c:1764: aviso:
   se pasa el argumento 2 de â??request_irqâ?? desde un tipo de puntero incompa
   tible
   make[3]: *** [/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src/nv/nv.o
   ] Error 1
   make[2]: *** [_module_/tmp/selfgz6778/NVIDIA-Linux-x86-1.0-7184-pkg1/usr/src
   /nv] Error 2
   NVIDIA: left KBUILD.
   nvidia.ko failed to build!
   make[1]: *** [module] Error 1
   make: *** [module] Error 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed.  Please see the file
       '/var/log/nvidia-installer.log' for details.  You may find suggestions
       on fixing installation problems in the README available on the Linux
       driver download page at www.nvidia.com.

 

 

+1
0
-1
Imagen de hugolino
+1
0
-1

Por lo que dice acá:
There appears to already be a driver installed on your system (version: 1.0- 9755). As part of installing this driver (version: 1.0-7184), the existing driver will be uninstalled. Are you sure you want to continue? ('no' will a bort installation) (Answer: Yes)

Estás intentando instalar la versión 1.0.7184 ahora, para tu placa los anteriores estaban bien.

Antes de probar la instalación mediante los drivers bajados de la página de nvidia te recomiendo que pruebes con los que están en Synaptic, buscá "nvidia glx", instalá los que no digan "legacy" porque tu palca es más nueva que las soportados por los drivers "legacy" (más para viejitas como mi vanta lt).

AAAAaah, me acordé, mejor que eso de arriba, probá con Envy, buscá por acá en el foro que muchos hablaron de ese programa que parece que funciona perfecto para instalar drivers de ati o nvidia. Y todo el mundo dice que es de lo más fácil.

+1
0
-1
Imagen de pepecrk
+1
0
-1

Muchas gracias por responder, la verdad esque ya andaba un poco desesperado. Incluso he formateado y vuelto a instalar festy fawn desde 0. Esta vez me he bajado los drivers que corresponden a mi tarjeta segun la pag de nvidia. Pero vuelve a suceder lo mismo, se instalan bien y todo funciona hasta que reinicio, que no se cargan las X, vuevlo ejecutar en instalador y vuelve a funcionar otra vez.

No entiendo xq funciona cuando lo ejecuto y luego al apagar el pc se vuelve a desconfigurar.

Voy a probar estoy que dices de Envy a ver que tal y les cuento.

Gracias de nuevo. 

+1
0
-1
Imagen de gledof
+1
0
-1

..

+1
0
-1

Saludos.----

Imagen de gledof
+1
0
-1

La consulta es para Hugolino, en mi PC tengo una Gforce FX5200, me gustaria saber si pertenece a las llamadas "viejitas"?,  tengo instalado el Legacy corriendo bajo Dapper.

Quisiera saber si puedo instalar "nvidia glx" y actualizar el nuevo driver nvidia 1.0-9755 cosa que no pude hacer hasta ahora.

+1
0
-1

Saludos.----

Imagen de pepecrk
+1
0
-1

Dios que torpe soy!!!! ya lo he solucionado... despues de darle mil vueltas y volverme loco de mil maneras... Acabo de fijarme que el nuevo ubuntu trae en administracion una herramienta llamada GESTOR DE CONTROLADORES RESTRINGIDOS.... y ella solita te instala el controlador Nvidia, no tienes mas que marcarlo y listo.

 K torpe!!! llevo 3 dias volviendome loco y lo que ocurre esk aun no me he dado cuenta del gran avance que supone esta nueva version de Ubuntu. 

Desdeluego se la recomiendo a todo el mundo.

Gracias por las respuestas. 

+1
0
-1